
Figure - Bug #118916
【OTA】偶现1次，110版本本地升级到628DB版本后，无法进入系统（进入recovery模式）
2023-06-28 16:56 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110版本

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Release Test Root cause: 升级完成在设备重启之前有对data分区的读写操作，但没有做全局sync导致分区损坏。

Description

【测试步骤】

设备连接中控，网络正常

设备当前版本110 本地升级到628DB版本

【预期结果】

升级成功，升级后设备可正常使用

【测试结果】

升级后无法进入系统

History

#1 - 2023-06-28 17:00 - CD BSP 叶鹏 

通过开启tsnv抓串口日志，注意到以下关键信息：

[   35.347981] init: Setting 67eaac8349dedc918e04e1edaf2ccb39 policy on /data/tlog failed!

[   35.347988] init: Rebooting into recovery

在代码中对应http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-vendor-dev/LINUX/android/system/core/init/fscrypt_init_extensions.cpp#126这个

位置，跟踪发现这里报错之后会让设备进入recovery模式

推测和修改了签名有关系，需要调查并解决签名对tlog的影响导致设备进recovery的问题

#2 - 2023-06-28 17:02 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【OTA】110版本本地升级到628DB版本后，无法进入系统 to 【OTA】110版本本地升级到628DB版本后，无法进入系统（进

入recovery模式）

#3 - 2023-06-28 18:04 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【OTA】110版本本地升级到628DB版本后，无法进入系统（进入recovery模式） to 【OTA】偶先1次，110版本本地升级到628DB版本

后，无法进入系统（进入recovery模式）

#4 - 2023-06-28 18:21 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【OTA】偶先1次，110版本本地升级到628DB版本后，无法进入系统（进入recovery模式） to 【OTA】偶现1次，110版本本地升级

到628DB版本后，无法进入系统（进入recovery模式）

#5 - 2023-06-28 20:29 - CD BSP 叶鹏 

- File updated_boot_falied_1635.log added
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-vendor-dev/LINUX/android/system/core/init/fscrypt_init_extensions.cpp#126���λ�ã����ٷ������ﱨ��֮������豸����recoveryģʽ
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-vendor-dev/LINUX/android/system/core/init/fscrypt_init_extensions.cpp#126���λ�ã����ٷ������ﱨ��֮������豸����recoveryģʽ


#6 - 2023-06-28 21:21 - CD BSP 叶鹏 

[   35.300285] init: processing action (post-fs-data) from (/system/etc/init/tlogd.rc:3)

[   35.308350] init: Top-level directory needs encryption action, eg mkdir /data/tlog <mode> <uid> <gid> encryption=Require

1、tlogd.rc中有直接创建/data/tlog的操作，但是多数情况下该目录是已经存在的；

2、在mkdir的后面有encryption=Require，tlog不应该被加密，需要调查为什么这里被设置成了需要

#7 - 2023-06-28 21:54 - CD SYSTEM-夏旭

【当前进展】

将/data/tlog目录改为encryption null

[   33.506804] init: Top-level directory needs encryption action, eg mkdir /data/tlog <mode> <uid> <gid> encryption=Require

[   32.319643] init: Failed to set encryption policy of /data/tlog to 67eaac8349dedc918e04e1edaf2ccb39 v2 modes 1/4 flags 0xa: Directory not empty

tlog.rc

on post-fs-data

    mkdir /data/tlog 0777 system system ++encryption=None

#8 - 2023-07-13 09:37 - CD TPM-王祥林

代码已入库，请用0713 DB验证。

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/FOTA/+/212816

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TestTools/+/212241

#9 - 2023-07-13 09:38 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD BSP 叶鹏  to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Root cause set to 升级完成在设备重启之前有对data分区的读写操作，但没有做全局sync导致分区损坏。

#10 - 2023-07-18 14:25 - 移动测试一组_CDTS 刘强

122版本压测50次未复现，继续跟踪三个版本

#11 - 2023-07-19 17:32 - 移动测试一组_CDTS 刘强

DB_0719版本压测20次未复现

#12 - 2023-07-20 16:08 - 移动测试一组_CDTS 刘强

DB—20230720 压测10次未复现

#13 - 2023-07-20 17:35 - 移动测试一组_CDTS 刘强

DB_0720 手动验证10次未复现
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/FOTA/+/212816
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TestTools/+/212241


#14 - 2023-08-02 15:57 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

0128 OTA压测30次未复现

#15 - 2023-08-02 15:57 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

20230628-165619.jpg 44.4 KB 2023-06-28 物联网测试组_CDTS  唐霞 

updated_boot_falied_1635.log 1.51 MB 2023-06-28 CD BSP 叶鹏 
